Rated 5 out of 5 stars

If Spellbound isn't going to be compatible with FF 4 then I'm sticking with FF 3.6. That's how good this add-on is.

Rated 5 out of 5 stars

Great add-on. Been using this for at least 3 years. Installed the latest update and it asked me if I wanted to use Jundle for search, I pressed cancel. No jundle and hassle free. (checked with spellbound before posting.)

This review is for a previous version of the add-on (3.0.9).